Cinder unit tests fail on virtio VMs

Bug #1196464 reported by Dirk Mueller on 2013-07-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Dirk Mueller

Bug Description

Hi,

when using an udev with this commit:

http://git.kernel.org/cgit/linux/hotplug/udev.git/commit/?id=9fc643a41490dd891d42e2e3885db183809d0ffc

there are no /dev/disk/by-path/ symlinks available for virtio devices, which causes tests to fail:

08:02:26 Traceback (most recent call last):
08:02:26 File "/var/lib/openstack-cinder-test/cinder/tests/test_brick_initiator.py", line 263, in test_connect_volume
08:02:26 self.connector.disconnect_volume(connection_info['data'])
08:02:26 File "/var/lib/openstack-cinder-test/cinder/openstack/common/lockutils.py", line 247, in inner
08:02:26 retval = f(*args, **kwargs)
08:02:26 File "/var/lib/openstack-cinder-test/cinder/brick/initiator/connector.py", line 169, in disconnect_volume
08:02:26 devices = self.driver.get_all_block_devices()
08:02:26 File "/var/lib/openstack-cinder-test/cinder/brick/initiator/host_driver.py", line 26, in get_all_block_devices
08:02:26 files = os.listdir(dir)
08:02:26 OSError: [Errno 2] No such file or directory: '/dev/disk/by-path/'

Changed in cinder:
assignee: nobody → Dirk Mueller (dmllr)
status: New → In Progress

Reviewed: https://review.openstack.org/35002
Committed: http://github.com/openstack/cinder/commit/dec8fb779253b62bd86b1d198ee89b22f19ab3e1
Submitter: Jenkins
Branch: master

commit dec8fb779253b62bd86b1d198ee89b22f19ab3e1
Author: Dirk Mueller <email address hidden>
Date: Sat Jun 29 19:28:27 2013 +0200

    Skip brick_initiator test in virtual environments

    /dev/disk/by-path does not exist in certain virtual
    environments. Skip the test.

    Fixes LP Bug #1196464

    Change-Id: Ifc5bb061db59aaa6b7c089eda5e4eb1c9eff2dbf

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-07-17
Changed in cinder:
milestone: none → havana-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-2 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers